﻿@model List<DP.Services.Data.Models.PdaSubscription>
@using DP.Common.Utilities;
@using DP.Common.Enums;
@using System

<table class="table table-hover table-bordered">
    <thead>
        <tr>
            <th>#</th>
            <th>Doctor/Clinic</th>
            <th>Start Date</th>
            <th>End Date</th>
            <th>Months</th>
            <th>Status</th>
            <th>Specialization</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            var isActive = (item.StatusValue == (int)PdaSubscriptionStatus.Active);
            var cssColor = (isActive) ? "success" : "danger";
            var disabled = (isActive) ? "" : "disabled";
            var statusText = EnumHelper<PdaSubscriptionStatus>.GetDescription((PdaSubscriptionStatus)item.StatusValue);            
            var span = DateTimeSpan.CompareDates(item.EndDate, item.StartDate);

            <tr class="@cssColor">
                <td>@item.Id</td>
                <td>@item.DoctorOrClinic.Name</td>
                <td>@item.StartDate.ToString("dd-MMM-yyyy")</td>
                <td>@item.EndDate.ToString("dd-MMM-yyyy")</td>
                <td>@span.Months <span>(@span.Days) Days</span></td>
                <td>@statusText</td>
                <td>@item.Specialization.Specialization.Category</td>
                <td>
                    <div class="btn-group">
                        <button type="button" class="btn btn-sm btn-default dropdown-toggle @disabled" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Action <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu">
                            @if (isActive)
                            {
                                <li><a href="javascript:void(0)" class="btn-pda-deactivate" data-pda-id="@item.Id">Deactivate</a></li>
                            }
                        </ul>
                    </div>
                </td>
            </tr>
        }
    </tbody>
</table>